2

I have org-version 9.1.9 installed on Spacemacs and am attempting to install the latest org-version 9.2.6. Install instructions are on https://orgmode.org/worg/org-faq.html#installing-via-elpa and https://orgmode.org/elpa.html. I performed the following steps.

Check version installed:

M-x org-version
9.1.9

From Can't Install org Through Package Manager > Jeremy Roe. Switch to default fundamental mode (not in an org file):

M-x fundamental-mode

Refresh and list packages:

M-x package-refresh-contents
M-x package-list-packages

Search list for org package:

C-s org

which listed two org entries; one from gnu and one from the org repo:

org 9.2.6     available gnu
org 20191007  available org

Install org from gnu repo:

org 9.2.6 RET org 9.2.6 RET Install RET
Install package 'org-9.2.6'? y
contacting host: elpa.gnu.org:443

Check version installed:

M-x org-version
9.1.9

Restart Emacs:

M-x org-version
9.1.9
M-x locate-library RET org
Library is file ~/.emacs.d/elpa/org-plus-contrib-20190617/org.elc

The newer org-version did not install. Same result when I attempted to install package 20191007 from org repo.

I posted a similar question on How to update Org-mode through Emacs' Package Manager?

M-x spacemacs/describe-system-info
#### System Info :computer:
- OS: gnu/linux
- Emacs: 26.2
- Spacemacs: 0.200.13
- Spacemacs branch: master (rev. 8c0b8c344)
- Graphic display: t
- Distribution: spacemacs
- Editing style: vim
- Completion: ivy
- Layers:
```elisp
(javascript rust html csv c-c++ git shell spell-checking ivy emacs-lisp markdown org)
```
- System configuration features: XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS LCMS2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.